
Figure - Bug #113926
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.android.gallery3d（2）
2022-11-14 11:54 - CD Test赵飞

Status: CLOSED Start date: 2022-11-14

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211110608

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.gallery3d (pid 12889)

ANR in com.android.gallery3d (com.android.gallery3d/.app.GalleryActivity)

PID: 12889

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.gallery3d/.app.GalleryActivity

ErrorId: 6f7c7d55-bd66-4554-b70b-4d31e270cbb3

Frozen: false

Load: 1.75 / 3.48 / 3.33

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=7624075

full avg10=0.00 avg60=0.00 avg300=0.00 total=3912740

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 14428ms later (2022-11-11 22:20:04.107 to 2022-11-11 22:20:18.535):

  97% 1058/sensors.qti: 19% user + 78% kernel

  97% 17709/com.qualcomm.qti.usta: 96% user + 1.1% kernel / faults: 987 minor

  32% 1123/system_server: 9.9% user + 22% kernel / faults: 20875 minor

  23% 4797/tlog: 0.8% user + 22% kernel

  21% 1232/tlog: 1.1% user + 20% kernel

  19% 2004/com.android.systemui: 14% user + 4.7% kernel / faults: 8481 minor

  16% 1329/media.codec: 6.5% user + 10% kernel / faults: 22904 minor

  15% 1290/mediaserver: 5.6% user + 9.7% kernel / faults: 1668 minor

  9.4% 1403/media.swcodec: 3.1% user + 6.3% kernel / faults: 1186 minor

  7% 1031/audioserver: 1.3% user + 5.7% kernel / faults: 295 minor

...
【日志】

Tlog和ANR目录见FTP：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113739/Tlog&#38;ANR.zip

History

#1 - 2022-11-16 19:48 - CDTS-TEST 周婷

- Due date deleted (2022-11-21)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-05 17:36 - CD APP-王营

- Due date set to 2022-12-15

#3 - 2022-12-27 16:23 - CD APP-王营

- Status changed from New to ASSIGNED

#4 - 2022-12-27 17:09 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#5 - 2022-12-28 14:50 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#6 - 2022-12-28 14:50 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
